TEMPLATE = app
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt

INCLUDEPATH += \
	project \
	lib/STM32F30x_StdPeriph_Driver/inc \
	lib/CMSIS/Include \
	lib/sbmp/library \
	lib/CMSIS/Device/ST/STM32F30x/Include \
	/usr/arm-none-eabi/include \
	/usr/lib/gcc/arm-none-eabi/5.3.0/include/

DEFINES += F_CPU=72000000UL \
		   STM32F303xC \
		   __FPU_PRESENT \
		   USE_STDPERIPH_DRIVER \
		   __null=0 \
		   __STATIC_INLINE="static inline" \
		   __INLINE="inline" \
		   __ASM=__asm \
		   __CORTEX_M=4 \
		   VERBOSE_LOGGING=1

HEADERS += \
	lib/CMSIS/Device/ST/STM32F30x/Include/stm32f30x.h \
	lib/CMSIS/Device/ST/STM32F30x/Include/system_stm32f30x.h \
	lib/CMSIS/Include/arm_common_tables.h \
	lib/CMSIS/Include/arm_const_structs.h \
	lib/CMSIS/Include/arm_math.h \
	lib/CMSIS/Include/core_cm0.h \
	lib/CMSIS/Include/core_cm0plus.h \
	lib/CMSIS/Include/core_cm3.h \
	lib/CMSIS/Include/core_cm4.h \
	lib/CMSIS/Include/core_cm7.h \
	lib/CMSIS/Include/core_cmFunc.h \
	lib/CMSIS/Include/core_cmInstr.h \
	lib/CMSIS/Include/core_cmSimd.h \
	lib/CMSIS/Include/core_sc000.h \
	lib/CMSIS/Include/core_sc300.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_adc.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_can.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_comp.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_crc.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_dac.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_dbgmcu.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_dma.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_exti.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_flash.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_fmc.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_gpio.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_hrtim.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_i2c.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_iwdg.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_misc.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_opamp.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_pwr.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_rcc.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_rtc.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_spi.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_syscfg.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_tim.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_usart.h \
	lib/STM32F30x_StdPeriph_Driver/inc/stm32f30x_wwdg.h \
	project/com/com_iface.h \
	project/com/debug.h \
	project/com/iface_noop.h \
	project/com/iface_usart.h \
	project/com/iface_vcom.h \
	project/com/vcom_phy.h \
	project/utils/circbuf.h \
	project/utils/debounce.h \
	project/utils/matcher.h \
	project/utils/meanbuf.h \
	project/utils/minmax.h \
	project/utils/str_utils.h \
	project/utils/timebase.h \
	project/hw_init.h \
	project/hw_utils/hw_utils.h \
	project/main.h \
	project/stm32f30x_conf.h \
	project/stm32f30x_it.h \
	project/signal_leds.h \
	project/colorled.h \
	project/gui/colorled.h \
	project/gui/infoled.h \
	project/serial/com_fileio.h \
	project/gui/buttons.h \
	project/com/com_fileio.h \
	project/event_queue.h \
	event_handler.h \
	project/bus/event_handler.h \
	project/bus/event_queue.h \
	project/acquire/sampling.h \
	project/utils/mutex.h \
	project/hw_utils/reset.h \
	project/hw_utils/gpio.h \
	project/hw_utils/adc.h \
	project/hw_utils/usart.h \
	project/hw_utils/utils.h \
	project/hw_utils/watchdog.h \
	lib/sbmp/library/crc32.h \
	lib/sbmp/library/sbmp.h \
	lib/sbmp/library/sbmp_checksum.h \
	lib/sbmp/library/sbmp_datagram.h \
	lib/sbmp/library/sbmp_frame.h \
	lib/sbmp/library/sbmp_logging.h \
	lib/sbmp/library/sbmp_session.h \
	project/com/datalink.h \
	lib/sbmp/library/payload_parser.h \
	lib/sbmp/library/sbmp_bulk.h \
	project/com/sbmp_control.h \
	project/acquire/acquire_control.h \
	project/malloc_safe.h \
	project/sbmp_config.h \
	project/globals.h \
	project/acquire/processing.h \
	lib/sbmp/library/payload_builder.h \
	lib/sbmp/library/type_coerce.h \
	project/acquire/fft_windows.h \
	project/acquire/vec_match.h \
	project/acquire/monitoring.h \
	project/gui/wifistatusled.h

SOURCES += \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_abs_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_abs_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_abs_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_abs_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_add_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_add_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_add_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_add_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_dot_prod_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_dot_prod_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_dot_prod_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_dot_prod_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_mult_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_mult_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_mult_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_mult_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_negate_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_negate_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_negate_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_negate_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_offset_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_offset_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_offset_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_offset_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_scale_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_scale_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_scale_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_scale_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_shift_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_shift_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_shift_q7.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_sub_f32.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_sub_q15.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_sub_q31.c \
	lib/CMSIS/DSP_Lib/Source/BasicMathFunctions/arm_sub_q7.c \
	lib/CMSIS/DSP_Lib/Source/CommonTables/arm_common_tables.c \
	lib/CMSIS/DSP_Lib/Source/CommonTables/arm_const_structs.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_conj_f32.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_conj_q15.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_conj_q31.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_dot_prod_f32.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_dot_prod_q15.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_dot_prod_q31.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mag_f32.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mag_q15.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mag_q31.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mag_squared_f32.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mag_squared_q15.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mag_squared_q31.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mult_cmplx_f32.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mult_cmplx_q15.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mult_cmplx_q31.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mult_real_f32.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mult_real_q15.c \
	lib/CMSIS/DSP_Lib/Source/ComplexMathFunctions/arm_cmplx_mult_real_q31.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_pid_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_pid_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_pid_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_pid_reset_f32.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_pid_reset_q15.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_pid_reset_q31.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_sin_cos_f32.c \
	lib/CMSIS/DSP_Lib/Source/ControllerFunctions/arm_sin_cos_q31.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_cos_f32.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_cos_q15.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_cos_q31.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_sin_f32.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_sin_q15.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_sin_q31.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_sqrt_q15.c \
	lib/CMSIS/DSP_Lib/Source/FastMathFunctions/arm_sqrt_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_32x64_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_32x64_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_fast_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_fast_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df1_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df2T_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df2T_f64.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df2T_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_df2T_init_f64.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_stereo_df2T_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_biquad_cascade_stereo_df2T_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_fast_opt_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_fast_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_fast_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_opt_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_opt_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_fast_opt_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_fast_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_fast_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_opt_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_opt_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_partial_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_conv_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_fast_opt_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_fast_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_fast_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_opt_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_opt_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_correlate_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_fast_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_fast_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_decimate_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_fast_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_fast_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_init_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_interpolate_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_interpolate_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_interpolate_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_interpolate_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_interpolate_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_interpolate_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_lattice_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_lattice_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_lattice_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_lattice_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_lattice_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_lattice_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_init_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_fir_sparse_q7.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_iir_lattice_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_iir_lattice_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_iir_lattice_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_iir_lattice_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_iir_lattice_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_iir_lattice_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_norm_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_norm_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_norm_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_norm_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_norm_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_norm_q31.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_q15.c \
	lib/CMSIS/DSP_Lib/Source/FilteringFunctions/arm_lms_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_add_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_add_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_add_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_cmplx_mult_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_cmplx_mult_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_cmplx_mult_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_inverse_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_inverse_f64.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_mult_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_mult_fast_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_mult_fast_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_mult_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_mult_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_scale_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_scale_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_scale_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_sub_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_sub_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_sub_q31.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_trans_f32.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_trans_q15.c \
	lib/CMSIS/DSP_Lib/Source/MatrixFunctions/arm_mat_trans_q31.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_max_f32.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_max_q15.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_max_q31.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_max_q7.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_mean_f32.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_mean_q15.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_mean_q31.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_mean_q7.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_min_f32.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_min_q15.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_min_q31.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_min_q7.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_power_f32.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_power_q15.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_power_q31.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_power_q7.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_rms_f32.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_rms_q15.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_rms_q31.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_std_f32.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_std_q15.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_std_q31.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_var_f32.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_var_q15.c \
	lib/CMSIS/DSP_Lib/Source/StatisticsFunctions/arm_var_q31.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_copy_f32.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_copy_q15.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_copy_q31.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_copy_q7.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_fill_f32.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_fill_q15.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_fill_q31.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_fill_q7.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_float_to_q15.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_float_to_q31.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_float_to_q7.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q15_to_float.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q15_to_q31.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q15_to_q7.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q31_to_float.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q31_to_q15.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q31_to_q7.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q7_to_float.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q7_to_q15.c \
	lib/CMSIS/DSP_Lib/Source/SupportFunctions/arm_q7_to_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_bitreversal.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix2_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix2_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix2_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix2_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix2_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix2_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix4_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix4_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix4_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix4_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix4_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix4_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_cfft_radix8_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_dct4_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_dct4_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_dct4_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_dct4_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_dct4_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_dct4_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_fast_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_fast_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_init_f32.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_init_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_init_q31.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_q15.c \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_rfft_q31.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_adc.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_can.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_comp.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_crc.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_dac.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_dbgmcu.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_dma.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_exti.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_flash.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_fmc.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_gpio.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_hrtim.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_i2c.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_iwdg.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_misc.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_opamp.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_pwr.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_rcc.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_rtc.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_spi.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_syscfg.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_tim.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_usart.c \
	lib/STM32F30x_StdPeriph_Driver/src/stm32f30x_wwdg.c \
	project/com/com_iface.c \
	project/com/debug.c \
	project/com/iface_noop.c \
	project/com/iface_usart.c \
	project/utils/circbuf.c \
	project/utils/debounce.c \
	project/utils/matcher.c \
	project/utils/meanbuf.c \
	project/utils/str_utils.c \
	project/utils/timebase.c \
	project/hw_init.c \
	project/main.c \
	project/spl_assert.c \
	project/stm32f30x_it.c \
	project/system_stm32f30x.c \
	project/signal_leds.c \
	project/colorled.c \
	project/gui/colorled.c \
	project/gui/infoled.c \
	project/serial/com_fileio.c \
	project/gui/buttons.c \
	lib/CMSIS/Device/ST/STM32F30x/Source/Templates/system_stm32f30x.c \
	project/com/com_fileio.c \
	project/event_handler.c \
	project/event_queue.c \
	project/bus/event_handler.c \
	project/bus/event_queue.c \
	project/acquire/sampling.c \
	project/utils/mutex.c \
	project/hw_utils/reset.c \
	project/hw_utils/gpio.c \
	project/hw_utils/adc.c \
	project/hw_utils/usart.c \
	project/hw_utils/watchdog.c \
	lib/sbmp/library/crc32.c \
	lib/sbmp/library/sbmp_checksum.c \
	lib/sbmp/library/sbmp_datagram.c \
	lib/sbmp/library/sbmp_frame.c \
	lib/sbmp/library/sbmp_logging.c \
	lib/sbmp/library/sbmp_session.c \
	project/com/datalink.c \
	project/syscalls.c \
	lib/sbmp/library/payload_parser.c \
	lib/sbmp/library/sbmp_bulk.c \
	project/com/sbmp_control.c \
	project/acquire/acquire_control.c \
	project/malloc_safe.c \
	project/globals.c \
	project/acquire/processing.c \
	lib/sbmp/library/payload_builder.c \
	project/acquire/fft_windows.c \
	project/acquire/vec_match.c \
	project/acquire/monitoring.c \
	project/gui/wifistatusled.c

DISTFILES += \
	style.astylerc \
	Makefile \
	header_comments_tpl.txt \
	lib/startup_stm32f30x.s \
	lib/CMSIS.mk \
	lib/StdPeriphDriver.mk \
	lib/SBMP.mk \
	lib/stm32f303xb.ld \
	lib/CMSIS/DSP_Lib/Source/TransformFunctions/arm_bitreversal2.S
