#pragma once
#include "main.h"

// Button debouncer & event handler.
// All tasks are run through the task queue.

enum button_enum {
	BTN1
};


/** Initialize debouncer for buttons */
void buttons_init(void);


/** Check if button is pressed */
bool button_pressed(enum button_enum button);


// --- set callback ---

/** Assign a rising callback */
void btn_set_press_callback(enum button_enum button, void (*cb)(void));


/** Assign a falling callback */
void btn_set_release_callback(enum button_enum button, void (*cb)(void));

/**
 * Assign a change callback.
 * Callback arg - button state.
 *
 * uint32_t is used to allow posting the task on the task queue.
 */
void btn_set_change_callback(enum button_enum button, void (*cb)(uint32_t));
